Skip to content
Go package that provides multiple middleware for Echo Framework.
Go Makefile
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.gitignore
.travis.yml
CONTRIBUTING.md
LICENSE
Makefile
README.md
doc.go
examples_test.go
go.mod
go.sum
logrus.go
logrus_test.go
opencensus.go
opencensus_test.go
zerolog.go
zerolog_test.go

README.md

Echo Framework - Middlewares

Build Status Codecov branch GoDoc Go Report Card License

Description

echo-middleware is a Go package that provides multiple middleware for Echo Framework.

Requirements

Echo Middlewares requires Go 1.12 or later and Echo Framework v4.

Instalation

Use go get.

$ go get github.com/faabiosr/echo-middleware

Then import the package into your own code:

import "github.com/faabiosr/echo-middleware"

Development

Requirements

  • Install Go

Makefile

# Clean up
$ make clean

# Download project dependencies
$ make configure

# Run tests and generates html coverage file
$ make cover

# Format all go files
$ make fmt

# Run tests
$make test

License

This project is released under the MIT licence. See LICENSE for more details.

You can’t perform that action at this time.